Subject: TPF Prioritisation (on a different note)

From: "Ralph Case" <[email-masked]>
Date: Wed, 18 Oct 95 18:48:20 EDT

Ref:  From: Dave Finnie <[email-masked]>
      Date: Sun, 17 Sep 1995 21:03:40 -0400

Dave,

I think I understand your comments about priority.  There are
basically two areas:
  - priority across link stations that share some resources
  - the priority/aging algorithm in the link station

Managing priority across link stations is an important area.
My thinking is that an implementation should carefully consider
how this is designed so that the customer's expectations
will be met.  It's very hard to architect this without making
some assumptions about how the node and link are designed.
When multiple links are defined on port, the best means to
maintain priorities across the port is to do priority
queueing in DLC, but that may not be possible on all platforms.
I feel this should be left an implementation issue rather
than an architectural issue.  Also, if two link stations,
even on different nodes, share a medium (like a LAN), don't
we really require MAC-layer priority to prevent low priority
traffic from one workstation from getting more than its fair
share of the medium bandwidth relative to high priority traffic
from another node?  The architecture can't really dictate the
capabilities of the underlying link or subnet.

Likewise, the actual algorithm for managing the aging of the
priority queues may depend on the node hardware and the placement
in the network.

So both of these are important issues.  While I don't think
a change to the architecture is required, I do think that APPN
implementers would benefit from a discussion of these issues,
how other vendors have solved them, and the reasons for the
solution.  How would you like to lead this kind of discussion
or start by presenting what you've done?

Ralph Case                    [email-masked]    (919)254-1882
APPN/APPC Architecture
IBM Networking Hardware Division